[package]
name = "kernel"
version = "0.1.3"
authors = ["z0mbie42 <sylvain@kerkour.fr>"]
edition = "2018"
license = "AGPL-3.0"
publish = false


[dependencies]
diesel_as_jsonb = { path = "../rust_crates/diesel_as_jsonb" }
bcrypt = { path = "../rust_crates/bcrypt-rs" }
eventsourcing = { path = "../rust_crates/eventsourcing-rs" }
mimesniff = { path = "../rust_crates/mimesniff-rs" }
hex = { path = "../rust_crates/hex-rs" }
try_future = { path = "../rust_crates/rust-try-future" }

regex = "1"
failure = "0.1.5"
actix-web = "1.0.0"
actix-multipart = "0.1.2"
actix-service = "0.4.1"
actix = "0.8"
rusoto_s3 = "0.39"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
uuid = { version = "0.7", features = ["serde", "v4"] }
tokio-timer = "0.2"
diesel = { version = "1.4", features = ["postgres", "chrono", "serde_json", "r2d2", "uuidv07"] }
futures = "0.1"
image = "0.21"
chrono = { version = "0.4", features = ["serde"] }
rand = "0.6"
base64 = "0.10.1"
mime = "0.3"
url = "1.7"
zip = "0.5"
walkdir = "2"

# emails
handlebars = "2.0.0-beta.1"
lettre = "0.9.0"
lettre_email = "0.9.0"

# logging
slog = "2.4"
slog-json = "2.3"
log = { version = "0.4", features = ["std"] }
slog-scope = "4.1"
sane = "0.2.1"
